
Figure - Bug #113924
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】在只有一个小窗卡片时，没有清除按钮
2022-11-14 11:39 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-14

Priority: Normal Due date: 2022-12-12

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212030304

Reproducibility: Every time Fixed Version: 2022-12-13

Test Type: IT Root cause: 修改getCurrentDisplayedFreeFormTask的返回值

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、进入应用小窗模式（如图库），

2、通过上划手势进入多任务管理器

3、观察任务管理器显示

【预期结果】

3、页面中显示一个小窗卡片，页面下方有清除按钮

【实际结果】

3、页面中显示一个小窗卡片，页面下方没有清除按钮

PS:在recent中同时有小窗卡片和应用进程卡片时，手动删除所有应用进程卡片，清除按钮随之消失（此时还有一个小窗卡片未清除）

History

#1 - 2022-11-15 09:36 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to AF组-RD3_CDTS 罗肖

#2 - 2022-11-16 18:37 - CDTS-TEST 周婷

- Due date set to 2022-12-12

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-11-22 14:55 - CD APP-王营

- Assignee changed from AF组-RD3_CDTS 罗肖 to DL FW-郝健

■ Current conclusion

需要小窗同事提供一个接口，获取是否有小窗存在，此接口不依赖时序问题，独立存在。

■ Next action
待接口提供后调试此问题。

#4 - 2022-11-23 09:44 - DL FW-郝健

- Assignee changed from DL FW-郝健 to AF组-RD3_CDTS 罗肖

接口已提供，请测试

#5 - 2022-12-02 12:50 - AF组-RD3_CDTS 罗肖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-02

- Root cause set to 编码问题

■ Current conclusion

修复bug

■ My analysis

没有判断小窗是否存在导致

■Submit URL

下一步做什么，或者提交是什么，写明验证步骤

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/165419

#6 - 2022-12-05 16:26 - CD TEST-方永红

- File Phone-STS40X190122 2022-12-05 16-26-11.mp4 added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to AF组-RD3_CDTS 罗肖

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212030304

12.5

在后台无内容的时候打开小窗，进入recent，页面中没有清除按钮

#7 - 2022-12-06 10:24 - AF组-RD3_CDTS 罗肖

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD TEST-方永红

- Fixed Version changed from 2022-12-02 to 2022-12-06

■ Current conclusion

已经解决

■ My analysis

Recent列表为空时，没有判断小窗数据为空

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/167158/29
#8 - 2022-12-09 11:22 - CD TEST-方永红

- File 1114.mp4 added

- Status changed from RESOLVED to VERIFY_FAILED

12.9

验证失败

只有一个小窗的情况如下：

1、后台无进程，直接打开小窗，此时后台只有一个小窗

2、后台有其他进程，打开小窗，进入recent，拖动移除非小窗的进程卡片，此时后台只有一个小窗

#9 - 2022-12-09 11:32 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to AF组-RD3_CDTS 罗肖

#10 - 2022-12-09 17:02 - AF组-RD3_CDTS 罗肖

- Assignee changed from AF组-RD3_CDTS 罗肖 to DL FW-郝健

在实际有小窗存在下，调用getCurrentDisplayedFreeFormTask()却返回为null导致，具体操作请看测试提供的视频

#11 - 2022-12-12 09:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169052 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jian.hao@thundersoft.com

AF:MultiWindow:modify recent getCurrentDisplayedFreeFormTask value1.modify getCurrentDisplayedFreeFormTaskChange-Id:

Ibc7005662ad7ed633852597fcea812942b12e369TC-RID: 0301-0201401IssueID: TS-R-DF-113924

#12 - 2022-12-12 09:44 - DL FW-郝健

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from DL FW-郝健 to CD TEST-方永红

- Fixed Version changed from 2022-12-06 to 2022-12-13

- Root cause changed from 编码问题 to 修改getCurrentDisplayedFreeFormTask的返回值

#13 - 2022-12-13 10:59 - CD TEST-方永红

- File Phone-STS40X190122 2022-12-13 10-58-18.mp4 added

- Status changed from RESOLVED to VERIFIED

12.13

验证通过

#14 - 2022-12-13 10:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
Files

xiaochuang.png 64.9 KB 2022-11-14 CD TEST-方永红

Phone-STS40X190122 2022-12-05 16-26-11.mp4 12.8 MB 2022-12-05 CD TEST-方永红

1114.mp4 7.61 MB 2022-12-09 CD TEST-方永红

Phone-STS40X190122 2022-12-13 10-58-18.mp4 35.6 MB 2022-12-13 CD TEST-方永红
